Bug 1569108 (CVE-2018-10194)

Summary: CVE-2018-10194 ghostscript: Stack-based out-of-bounds write in pdf_set_text_matrix function in gdevpdts.c
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: carnil, dmoppert, kbost, security-response-team, twaugh, zdohnal
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20180420,reported=20180418,source=distros,cvss3=7.0/CVSS:3.0/AV:L/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H,cwe=CWE-119,fedora-all/ghostscript=affected,rhel-5/ghostscript=wontfix,rhel-6/ghostscript=wontfix,rhel-7/ghostscript=affected,rhel-8/ghostscript=notaffected
Fixed In Version: ghostscript 9.24 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-11-28 15:31:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1569818, 1569819, 1569820, 1569821, 1629842    
Bug Blocks: 1569109    

Description Pedro Sampaio 2018-04-18 15:45:11 UTC
pdf_set_text_matrix in gdevpdts.c in Artifex Ghostscript through 9.18 allows remote attackers to cause a denial of service (spprint.c pprintg1 stack-based out-of-bounds write) or possibly execute arbitrary code via a crafted PDF document.

Comment 4 Doran Moppert 2018-04-20 03:03:20 UTC
Created ghostscript tracking bugs for this issue:

Affects: fedora-all [bug 1569821]

Comment 6 Doran Moppert 2018-04-20 03:05:29 UTC
oss-security:

http://www.openwall.com/lists/oss-security/2018/04/19/5

Comment 12 Doran Moppert 2018-04-27 03:08:15 UTC
Statement:

Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having a security impact of Moderate, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 14 errata-xmlrpc 2018-10-16 02:25:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:2918 https://access.redhat.com/errata/RHSA-2018:2918

Comment 15 Cedric Buissart 🐶 2018-11-28 15:26:41 UTC
Mitigation:

Please refer to the "Mitigation" section of CVE-2018-16509 : https://access.redhat.com/security/cve/cve-2018-16509